> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Member

> This endpoint updates a `member`'s attributes.

Use this endpoint to update a member's attributes. Only the `credentials`, `identifier`, and `metadata` parameters can be updated. To get a list of the required credentials for the member, use the [list member credentials endpoint](/api-reference/atrium/reference/members/list-member-credentials).

MFA challenges should be updated via the [resume aggregation endpoint](/api-reference/atrium/reference/members/resume-aggregation-mfa) and not by updating a member.

<ParamField body="background_aggregation_is_disabled" type="boolean" />

<ParamField body="credentials" type="string" />

<ParamField body="identifier" type="string" />

<ParamField body="metadata" type="string" />

<RequestExample>
  ```shell Request theme={null}
  curl -i -X PUT 'https://vestibule.mx.com/users/{user_guid}/members/{member_guid}' \  -H 'Accept: application/vnd.mx.atrium.v1+json' \  -H 'Content-Type: application/json' \  -H 'MX-API-Key: {mx_api_key}' \  -H 'MX-Client-ID: {mx_client_id}' \  -d '{        "member":{          "credentials":[            {               "guid": "CRD-598ec8d4-6200-8cda-345d-3dbb5fc17716",               "value": "updated-username"            },            {               "guid": "CRD-27d0edb8-1d50-5b90-bcbc-be270ca42b9f",               "value": "updated-password"            }          ],          "metadata": "{\"credentials_last_refreshed_at\": \"2015-10-16\"}"        }      }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "member": {
      "aggregated_at": "2016-09-30T14:43:44-06:00",
      "connection_status": "CONNECTED",
      "guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
      "identifier": "unique_id",
      "institution_code": "mxbank",
      "is_being_aggregated": false,
      "metadata": "{\"credentials_last_refreshed_at\": \"2015-10-16\"}",
      "name": "MX Bank",
      "status": "INITIATED",
      "successfully_aggregated_at": "2016-09-30T14:38:59-06:00",
      "user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
    }
  }
  ```
</ResponseExample>
